<?php
/*
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

class MGUsersUniqid
{

    private $_tableName;
    private $userId;
    private $uniqid;

    function __construct(array $params = array())
    {
        $this->load($params);
    }

    function load(array $params)
    {
        foreach ($params as $propertyName => $propertyValue)
        {
            if (property_exists($this, $propertyName))
            {
                $this->{$propertyName} = $propertyValue;
            }
        }
    }

    function create()
    {
        $toSave = clone $this;

        //approveCode to tresci i nazwa pliku

        MGMySQL::insert($toSave->_tableName, array(
            'user_id'   => $toSave->userId,
            'unique_id' => $toSave->uniqid
        ));
    }

    function insertUniqueId($uniqid)
    {
        $toSave = clone $this;

        MGMySQL::insert($toSave->_tableName,
            array(
            'user_id' => $toSave->userId,
            'unique_id' => $uniqid
        ));
    }

    function getUniqueId($userid)
    {
        $toSave = clone $this;

        $q = MGMySQL::query("
            SELECT
                unique_id
            FROM
                `".$toSave->_tableName."`
            WHERE
                user_id = '".$userid."'
            ")->fetch();

        if ($q)
        {
            return $q['unique_id'];
        }

        return false;
    }
}