<?php
/* 
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

abstract class AbstractLocalAPIDriver
{
    function __construct($params) 
    {
        foreach($params as $key => $value){
            if(property_exists($this,$key))
            {
                $this->{$key} = $value;
            }
        }
        $this->_connect($params);
    }

    public $connection;
    public $cpanel;
    
    /**
     *
     * @var type abstractConfig
     */
    public $config;

    abstract public function _connect($params);
    abstract public function getAccounts();
    abstract public function getUserDomains($user = null,$main = null);
    
    /*
    abstract public function getAllDomains($limit = 10, $offset = 10, $filters = array(), $sortCol = 'domain', $sortVect = 'ASC');
    abstract public function getDomainsCount($filters = array(), $sortCol = 'domain', $sortVect = 'ASC');
    abstract public function deleteZonesFromDomain($domain,array $zonesList);
    abstract public function addZonesToDomain($domain,array $zonesList);
    */
}