<?php

/* 
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

class Modules_Certum_Form_InstallNewCertificate extends Zend_Form
{
    public static function get($domainList, $billingURL = "")
    {
        $installForm = new pm_Form_Simple();
        $installForm->setMethod('post');
        if(!empty($billingURL)){
            $installForm->addElement('SimpleText', 'billing_url', array('label' => pm_Locale::lmsg('config_billing_desc').$billingURL));
        }
        $installForm->addElement('text'  , 'cert_order_token',array('label' => pm_Locale::lmsg('cert_order_token')."*", 'label_options' => array('disable_html_escape' => true,
         )))
                    //->addElement('select', 'cert_domain'     ,array('label' => pm_Locale::lmsg('cert_domain'),'multiOptions' => $domainList,'value' => CertumSSLDriver::config()->cert_domain))

                    ->addControlButtons(array('cancelLink' => pm_Context::getModulesListUrl()));
        
        return $installForm;
    }
}
