<?php
/*
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

$messages = array(
    'module_name' => 'Certum SSL',
    'global_no_data' => 'No data to display',
    'config_page_title' => 'Configuration',
    'config_api_configuration' => 'API Configuration',
    'config_wdsl' => 'API URL',
    'config_user' => 'User',
    'config_password' => 'Password',
    'config_language' => 'Language',
    'config_products' => 'Attached Products',
    'config_addapiuser' => 'Add New Account',
    'config_testconection' => 'Test Connection',
    'config_admin_notifications' => 'Admin Notifications',
    'config_email' => 'Administrator Email',
    'config_sender' => 'Notification Sender Email',
    'config_user_notifications' => 'User Notifications',
    'config_success_email_subject' => 'Success Email Subject',
    'config_success_email_message' => 'Success Email Message',
    'config_failure_email_subject' => 'Failure Email Message',
    'config_failure_email_message' => 'Failure Email Subject',
    'config_save' => 'Save',
    'action' => 'Add Certificate',
    'config_billing_url' => 'Billing URL',
    'config_billing_head' => 'Billing URL Configuration',
    'config_billing_desc' => 'If you want purchase token for install certificate go to billing page: ',
    'test_mode' => 'Test mode',
    'statement' => 'Statement',
    'agree' => 'Accept',
    'disagree' => 'Decline',
    'apilogs_id' => 'ID',
    'apilogs_datetime' => 'Date',
    'apilogs_apimessage' => 'API Response',
    'apilogs_loggedby' => 'Logged By',
    'apilogs_token_id' => 'Token ID',
    //Client Area
    'good_connection' => 'Connection Succeeded',
    'error_connection' => 'Connection Failed',
    'client_module_name' => 'Currently Installed Certificates',
    'client_install_new' => 'Install New Certificate',
    'currentlyInstalled' => 'Currently Installed Certificates',
    //Certyficates Table
    'domain' => 'Domain',
    'certname' => 'Name',
    'certserialnumber' => 'Serial Number',
    'certactivateddate' => 'Token Activated',
    'certvalidfromdate' => 'Valid From',
    'certvaliduntil' => 'Valid Until',
    'certstatus' => 'Certificate Status',
    'certinstalled' => 'Installed',
    'issuer' => 'Issuer',
    'created' => 'Token Created',
    'expiration' => 'Expiration',
    'activated' => 'Token Activated',
    'actions' => 'Actions',
    'status' => 'Status',
    'cert-status' => 'Certificate Status',
    'reissue' => 'Reissue',
    'revoke' => 'Cancel/Revoke',
    'close' => 'Close',
    'cert_order_token' => 'Token',
    'cert_domain' => 'Install On',
    'cert_approver_email' => 'Approver Email',
    'apilogs_request' => 'API Request',
    'apilogs_response' => 'API Response',
    'cert_tech_contact' => 'Tech Contact',
    'cert_tech_contact_first_name' => 'First Name',
    'cert_tech_contact_fax' => 'Fax',
    'cert_tech_contact_last_name' => 'Last Name',
    'cert_tech_contact_phone' => 'Phone',
    'cert_tech_contact_email' => 'E-mail',
    'cert_tech_contact_title' => 'Title',
    'cert_admin_contact_title' => 'Title',
    'cert_org_postalcode' => 'Postal Code',
    'cert_org_address_email' => 'Email',
    'cert_org_address_phone' => 'Phone',
    'cert_org_address_line1' => 'Address',
    'cert_org_address_line2' => 'Address 2',
    'cert_org_address_fax' => 'Fax',
    'cert_admin_contact' => 'Admin Contact',
    'cert_admin_contact_first_name' => 'First Name',
    'cert_admin_contact_last_name' => 'Last Name',
    'cert_contact_first_name' => 'First Name',
    'cert_contact_last_name' => 'Last Name',
    'cert_admin_contact_phone' => 'Phone',
    'cert_admin_contact_email' => 'E-mail',
    'cert_admin_contact_fax' => 'Fax',
    'contact_head' => 'Contact Details',
    'org_contact_head' => 'Organisation',
    //Certyficate Details
    'cert_certdetails' => 'Certificate Details',
    'cert_certdetails_common_name' => 'Common Name',
    'cert_certdetails_organisation' => 'Organization',
    'cert_certdetails_organisation_unit' => 'Organizational Unit',
    'cert_certdetails_locality' => 'Locality',
    'cert_certdetails_state_province' => 'State or Province Name',
    'cert_certdetails_country' => 'Country',
    'cert_certdetails_email' => 'Email',
    'cert_certdetails_serial_number' => 'Serial Number',
    'cert_certdetails_business_category' => 'Business Category',
    'cert_certdetails_street_address' => 'Street Address',
    'cert_certdetails_postal_code' => 'Postal Code',
    'cert_certdetails_JoILN' => 'Jurisdiction of Incorporation Locality Name',
    'cert_certdetails_JoISoPN' => 'Jurisdiction of Incorporation State or Province Name',
    'cert_certdetails_JoISoCN' => 'Jurisdiction of Incorporation Country Name',
    //end
    'cert_admin_contact_head' => 'Admin Contact',
    'cert_tech_contact_head' => 'Tech Contact',
    'cert_org_taxid' => 'Tax Number',
    'cert_org_name' => 'Organisation Name',
    'cert_org_division' => 'Division',
    'cert_org_address_city' => 'City',
    'cert_org_address_region' => 'Region',
    'cert_org_address_country' => 'Country',
    'cert_org_dvmethod' => 'DV Auth Method',
    'client_error_orderexist_token' => 'You already have pending or active certyficate for this domain',
    'cert_reissue_email' => 'Reissue Email',
    'client_error_empty_token' => 'You are not allowed to order this product.',
    'client_error_wrong_token' => 'Invalid token',
    'client_error_redeemed_token' => 'Token has already been redeemed.',
    'client_error_nonevoucher' => 'Token not avaialble.',
    'client_error_errorauth' => 'Service Unavailable, Please Contact Administrator',
    'client_error_notsupport' => "Plesk doesn't support MultiDomain certificates.",
    'client_cancel_success' => 'Certificate has been successfully cancelled',
    'client_revoke_success' => 'Certificate has been successfully revoked',
    'client_reissue_success' => 'Certificate has been successfully reissued',
    'client_revoke_cert' => 'Reissue Certificate',
    'raportTitle' => 'Client Successfull Certificate Instalation',
    'cronlogs_id' => 'Task ID',
    'cronlogs_username' => 'Client Name',
    'cronlogs_useremail' => 'Client Email',
    'cronlogs_domain' => 'Domain',
    'cronlogs_voucher' => 'Used Voucher Code',
    'cronlogs_certcenterorderid' => 'Cert Center Order ID',
    'cronlogs_createdate' => 'Task Created Date',
    'cronlogs_activedate' => 'Certificate Activation Date',
    'cronlogs_certstatus' => 'Certificate Status',
    'cronlogs_certorderstatus' => 'Cert Center Order Status',
    'cronlogs_lastrundate' => 'Task Last Run',
    'apilogs_turnon' => 'API Logs',
    'apilogs_turnon_value' => 'Track API Logs ?',
    'apilogs_clean_logs' => 'Clear Logs',
    'logs_cleaned' => 'Success Logs cleaned',
    'module_desc' => 'Module is to make life easier for end­customers who are not familiar with the complicated process of certificates installation and provisioning. It will also reduce efforts of administrators who will be not assisting their clients.',
    'config_logs_limit_activity_desc' => 'API Logs Configuration',
    'logs_limit' => 'Limit Activity Log',
    'config_export' => 'Export Configuration To File',
    'config_import' => 'Update Configuration From File'
);

