<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

////require_once dirname(__FILE__).'/message.php';
////require_once ROOTDIR.'/modules/servers/CERTUM_Certificates/certumPartnerAPI/types/typeGetProductListResponse.php';

/*
    <message name="PartnerServicePortType_getProductListResponse">
        <part element="tns:getProductListResponse" name="getProductListResponse"/>
    </message>
    <xs:element name="getProductListResponse" nillable="true" type="tns:getProductListResponse"/>
*/

/**
 * This class represents the PartnerServicePortType_getProductListResponse WSDL message.
 * 
 * It has one part 'getProductListResponse' accessible as property or by invoking a getter method.
 * 
 * @property PartnerAPITypeGetProductListResponse $getProductListResponse
 * @method PartnerAPITypeGetProductListResponse getGetProductListResponse()
 * 
 * @package messages
 * @since 1.3.0
 */
class PartnerAPIMessageGetProductListResponse extends PartnerAPIMessage {

    /**
     * This method returns initial data for the message's parts.
     * 
     * @return array
     */
    protected function initParts() {
        return array(
            'getProductListResponse' => new PartnerAPITypeGetProductListResponse()
        );
    }

}
