<?php

class PartnerAPIOperationGetActivationCode extends PartnerAPIOperation 
{
    /**
     * @var PartnerAPIMessageGetApproverList
     */
    protected $_input = NULL;
    
    /**
     * @var PartnerAPIMessageGetApproverListResponse
     */
    protected $_output = NULL;

    /**
     * @var string
     */
    protected $_operation = 'getActivationCode';
    
    /**
     * The constructor.
     * 
     * It initializes input and output data.
     */
    public function __construct() {
        
        $this->_input  = new PartnerAPIMessageGetActivationCode();
        $this->_output = new PartnerAPIMessageGetActivationCodeResponse();
    }
    
    public function setActivationCode($productCode) {
        $this->_input->getActivationCode->setProductCode($productCode);
        return $this;
    }
}
