<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

//require_once 'typeResponse.php';
//require_once 'typeExpiringCertificates.php';

/*
<xs:complexType name="getExpiringCertificatesResponse">
    <xs:complexContent>
        <xs:extension base="tns:response">
            <xs:sequence>
                <xs:element maxOccurs="unbounded" minOccurs="0" name="expiringCertificates" type="tns:expiringCertificates"/>	
            </xs:sequence>
        </xs:extension>
    </xs:complexContent>
</xs:complexType>
*/

/**
 * This class represents the "getExpiringCertificatesResponse" WSDL type.
 * 
 * It is an extension to the PartnerAPITypeResponse class.
 * 
 * @method PartnerAPITypeGetExpiringCertificatesResponse setExpiringCertificates(PartnerAPITypeExpiringCertificates $value The expiringCertificates to be set or NULL) Sets the "expiringCertificates" element. This method removes all previously added "expiringCertificates" elements and creates a new set of "expiringCertificates" elements.
 * @method PartnerAPITypeGetExpiringCertificatesResponse addExpiringCertificates(PartnerAPITypeExpiringCertificates $value The expiringCertificates to be added) Adds a new "expiringCertificates" element to the existing set.
 * @method PartnerAPITypeExpiringCertificates|PartnerAPITypeExpiringCertificates[] getExpiringCertificates() Gets the "expiringCertificates" element or NULL. If there is only one element, it will be returned, otherwise an array of strings will be returned.
 * @property PartnerAPITypeExpiringCertificates|PartnerAPITypeExpiringCertificates[] $expiringCertificates Gets the "expiringCertificates" element or NULL. If there is only one element, it will be returned, otherwise an array of strings will be returned.
 * 
 * @package types
 * @since 1.3.4
 */
class PartnerAPITypeGetExpiringCertificatesResponse extends PartnerAPITypeResponse {
    
    protected function initData() {
        $p = parent::initData();
        $n = array(
            'expiringCertificates' => array('min' => 0, 'max' => NULL, 'value' => NULL, 'type' => 'PartnerAPITypeExpiringCertificates', 'nillable' => FALSE)
        );
        return array_merge($p, $n);
    }

}
