<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

//require_once 'type.php';

/*
<xs:complexType name="orderSNIParameters">
    <xs:sequence>
        <xs:element name="CSR" type="xs:string"/>
        <xs:element minOccurs="0" name="language" type="xs:string"/>
    </xs:sequence>
</xs:complexType>
*/

/**
 * This class represents the "orderSNIParameters" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeOrderSNIParameters setCSR(string $value The CSR to be set) Sets the "CSR" element
 * @method string getCSR() Gets the "CSR" element
 * @property string $CSR Gets the "CSR" element
 * 
 * @method PartnerAPITypeOrderSNIParameters setLanguage(string $value The language to be set or NULL) Sets the "language" element
 * @method string getLanguage() Gets the "language" element or NULL
 * @property string $language Gets the "language" element or NULL
 * 
 * @package types
 * @since 1.3.4
 */
class PartnerAPITypeOrderSNIParameters extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'CSR'      => array('min' => 1, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE),
            'language' => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
    }

}
