<?php
/* 
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

abstract class AbstractConfigDriver
{    
    protected $values;

    abstract public function __construct($params);
      
    public function __isset($name) 
    {
        if(isset($this->values[$name])){
            return true;
        }
        return false;
    }

    public function __get($name)
    {
        if(isset($this->values[$name])){
            return $this->values[$name];
        }
        return null;
    }
    
    public function isNotEmpty()
    {
        return !(empty($this->values));
    }
}