<?php

class PartnerAPIMessageGetActivationCode extends PartnerAPIMessage
{
    /**
     * Defines the part with credentials data.
     * 
     * @var string
     */
    protected $partWithCredentials = 'getActivationCode';

    /**
     * This method returns initial data for the message's parts.
     * 
     * @return array
     */
    protected function initParts() {
        return array(
            'getActivationCode' => new PartnerAPITypeGetActivationCodeRequest()
        );
    }
}
