<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of CertumSSLHelper
 *
 * @author INBS38
 */
class CertumSSLHelper
{
    function certificateInputConditions($input)
    {

        $params = array();

        if (isset($input['certdetails_organisation']) && $input['certdetails_organisation'] != '') {
            $params['OrganizationName'] = $input['certdetails_organisation'];
        } elseif (isset($input['cert_org_name']) && $input['cert_org_name'] != '') {
            $params['OrganizationName'] = $input['cert_org_name'];
        } else {
            $params['OrganizationName'] = $input['contact_first_name'].' '.$input['contact_last_name'];
        }

        if (isset($input['certdetails_country']) && $input['certdetails_country'] != '') {
            $params['country'] = $input['certdetails_country'];
        } else {
            $params['country'] = $input['cert_org_address_country'];
        }
        
        if (isset($input['certdetails_locality']) && $input['certdetails_locality'] != '') {
            $params['city'] = $input['certdetails_locality'];
        }else {
            $params['city'] = $input['cert_org_address_city'];
        }

        if (isset($input['certdetails_state_province']) && $input['certdetails_state_province'] != '') {
            $params['state'] = $input['certdetails_state_province'];
        }  else {
            $params['state'] = 'Texas';
        }

        if (isset($input['certdetails_email']) && $input['certdetails_email'] != '') {
            $params['email'] = $input['certdetails_email'];
        } else {
            $params['email'] = $input['cert_org_address_country'];
        }

        if (isset($input['cert_org_taxid']) && $input['cert_org_taxid'] != '') {
            $params['taxnumber'] = $input['cert_org_taxid'];
        }  else {
            $params['taxnumber'] = null;
        }

        return $params;
    }
}