<?php

/* 
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

$db = pm_Bootstrap::getDbAdapter();
$db->query("DROP TABLE IF EXISTS `certum_configuration`;");
$db->query("DROP TABLE IF EXISTS `certum_cron_tasks`;");
$db->query("DROP TABLE IF EXISTS `certum_error_logs`;");
$db->query("DROP TABLE IF EXISTS `certum_orders`;");
$db->query("DELETE FROM PlanItems WHERE classname='CertumSSL'");

if(pm_Settings::get('certum_recentlycron_task_id')){
    pm_Loader::registerAutoload();
    pm_Context::init('CertumSSL');
    $taskId = pm_Settings::get('certum_recentlycron_task_id');
    $task   = pm_Scheduler::getInstance()->getTaskById($taskId);
    pm_Scheduler::getInstance()->removeTask($task);
    pm_Bootstrap::init();
}

